%global pypi_name python-consul
%global srcname consul

Name:           python-%{srcname}
Version:        1.1.0
Release:        1%{?dist}
Summary:        Python client for Consul

License:        MIT
URL:            https://github.com/cablehead/python-consul
Source0:        %{pypi_source python-consul}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Python client for Consul

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

Requires:       python3dist(aiohttp)
Requires:       python3dist(requests) >= 2
Requires:       python3dist(six) >= 1.4
Requires:       python3dist(tornado)
Requires:       python3dist(treq)
Requires:       python3dist(twisted)

%description -n python3-%{srcname}
Python client for Consul

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%doc CHANGELOG.rst
%{python3_sitelib}/consul/
%{python3_sitelib}/python_consul-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Jan 28 2022 Marcin Skarbek <rpm@skarbek.name> 1.1.0-1
- initial package
